petsc (3.22.5+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Apr 2025 11:48:33 +0200

petsc (3.22.5+dfsg1-2) unstable; urgency=medium

  * dev packages: complement Depends: mpi-default-dev with
    ${mpi-dev:Depends} as lower-versioned dependency on specific mpi
    implementation (openmpi or mpich), since petscsys.h checks that
    the current MPI version is compatible with the version petsc was
    compiled against. Will help avoid testing migration confusion when
    MPI packages are updated. Closes: #1102465.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Apr 2025 19:07:42 +0200

petsc (3.22.5+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Apr 2025 08:02:11 +0200

petsc (3.22.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * only use nproc to set parallel build if DEB_BUILD_OPTION_PARALLEL
    is not already defined. lintian test debian-rules-calls-nproc.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Mar 2025 13:03:44 +0200

petsc (3.22.4+dfsg1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Mar 2025 18:04:24 +0100

petsc (3.22.4+dfsg1-2) unstable; urgency=medium

  * debian/tests: set OMPI_MCA_btl_tcp_if_include=lo to avoid openmpi
    whining about unreachable pairing. Needed by riscv64 in particular.
    cf. hypre Bug#1087784.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Mar 2025 11:25:18 +0100

petsc (3.22.4+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:32:08 +0100

petsc (3.22.4+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 15:25:50 +0100

petsc (3.22.3+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 10:22:17 +0100

petsc (3.22.3+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Feb 2025 15:00:59 +0100

petsc (3.22.2+dfsg1-1ubuntu2) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 11:05:24 +0000

petsc (3.22.2+dfsg1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 16 Dec 2024 22:20:21 +0000

petsc (3.22.2+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 19:23:27 +0100

petsc (3.22.1+dfsg1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild for mpich_4.2.1-2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 11 Dec 2024 22:01:14 +0000

petsc (3.22.1+dfsg1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libopenmpi40

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Dec 2024 12:02:32 +0000

petsc (3.22.1+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:55:21 +0100

petsc (3.22.1+dfsg1-2) unstable; urgency=medium

  * upload petsc 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:25:32 +0100

petsc (3.22.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.22.
    - applies debian patch fix_build_tests_MR7789.patch
  * drop debian patch ptscotch_without_bison_MR5787.diff.
    It was applied upstream in PETSc 3.18.
  * replace debian patch soname_extension with upstream MR7989
    and add soname_extension_MR8026.patch (upstream MR8026).
    Uses configuration option --with-library-name-suffix instead of
    --shared-library-extension.

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Nov 2024 12:35:36 +0100

petsc (3.21.6+dfsg1-3) unstable; urgency=medium

  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/rules and debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/rules and debian/tests.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 20 Nov 2024 06:42:09 +0000

petsc (3.21.6+dfsg1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libsuperlu7

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 04 Nov 2024 15:17:00 +0000

petsc (3.21.6+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Nov 2024 15:40:36 +0100

petsc (3.21.6+dfsg1-2) unstable; urgency=medium

  * Add Francesco Ballarin to uploaders
  * Revert setting tight dev package dependency on MPI version.
    Instead, simply list mpi-default-dev as Build-Depends and Depends.
    Bug #828987 in July 2016 (version 3.6.4.dfsg1-3) forced us
    to define a control variable ${MPI:Depends} to automatically
    set up a string like
        libopenmpi-dev (>= 1.10.3), libopenmpi-dev (<< 1.10.4)
    and use it in override_dh_gencontrol.
    However, such a tight dependency control is unnecessary nowadays,
    since OpenMPI 5 guarantees ABI compatibility.
    Closes: #1085405
  * Temporarily drop Build-Depends and Depends on libtrilinos-ml-dev and
    libtrilinos-zoltan-dev while trilinos gets rebuilt against OpenMPI 5.
    This change will be reverted in a future upload.
  * Build-Depends: increment mpi-default-dev lower bound to >= 1.17 to prevent
    this package from being accidentally built against OpenMPI 4.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 20 Oct 2024 10:17:39 +0000

petsc (3.21.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.  Upload for Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Oct 2024 23:54:39 +0200

petsc (3.21.4+dfsg1-1exp2) experimental; urgency=medium

  * debian patch fix_build_tests_MR7789.patch applies upstream MR#7789
    to reenable build tests. Closes: #1079566.

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2024 16:22:03 +0200

petsc (3.21.4+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.21.
  * add docs/petsc4py to Files-Excluded in debian/copyright
  * debian/copyright: drop systems/Apple/* from excluded files
    (no longer shipped in upstream tarball)
  * disable build-time tests on all arches. See Bug#1079566
    and https://gitlab.com/petsc/petsc/-/issues/1634

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 18:22:02 +0200

petsc (3.20.6+dfsg1-3ubuntu3) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 21 Sep 2024 14:51:30 +0000

petsc (3.20.6+dfsg1-3ubuntu2) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Aug 2024 14:34:09 +0200

petsc (3.20.6+dfsg1-3) unstable; urgency=medium

  * build 64-bit petsc against scotch-int64 not scotch-long
    to avoid 32-bit systems getting a mismatch between
    SCOTCH_Num long int and PetscInt long long int.
    The error reference to "long int" is a red herring, it's just int64
  * libpetsc64-complex3.20-dev: fix alternatives link for
    libpetsc64_complex.so (not libpets64c_complex.so)

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Aug 2024 23:13:53 +0200

petsc (3.20.6+dfsg1-2) unstable; urgency=medium

  * configure 64-bit petsc to build against 64-bit (long) scotch.
    - required for building with gcc-14, for which pointers to standard
      SCOTCH_Num (int) are incompatible with pointers to 64-bit
      PetscInt (declared as long int, not int64).
    - provide lib path /usr/lib/$(DEB_HOST_MULTIARCH)/scotch-long as
      explicit RUNPATH (-rpath) in the petsc64*.so shared libraries to
      ensure the standard libptscotch.so build is not used at runtime.
    - add lintian overrides (custom-library-search-path)
      to acknowledge the intended explicit RUNPATHs
    - Closes: #1075380.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Aug 2024 20:09:11 +0200

petsc (3.20.6+dfsg1-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 10:01:06 +0200

petsc (3.20.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: pkgconf not pkg-config
  * add Depends: ${fortran:Depends} to -dev (and -dbg) packages
  * drop dh_strip override, so the debug package is not treated as the
    dbgsym symbols package of the main production package. The debug
    build provides additional output that may be useful when designing
    and profiling PETSc applications.
  * specify in -dbg package descriptions that they are built using
    --with-debugging=1
  * add loong64 to the list of arches supporting 64-bit hypre.
    Closes: #1060050.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 May 2024 21:51:32 +0200

petsc (3.20.3+dfsg1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream version 3.20.3+dfsg1
  * debian/watch now downloads from https://web.cels.anl.gov
  * Refresh build-no-rpath.patch, clean-no-double-colon.patch,
    lib-versions.patch, ptscotch_without_bison_MR5787.diff, soname_extension,
    sprng-2.patch so that they apply without offset and fuzz.
  * Refresh docs.patch with updated url of the PDF version of the PETSc
    manual.
  * Refresh label_tests.patch, nocleanup.patch, petscmatmod_split.patch which
    failed to apply due to upstream changes.

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Mar 2024 19:57:49 +0100

petsc (3.19.6+dfsg1-2.2ubuntu3) oracular; urgency=medium

  * Rebuild against new libhypre-2.29.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 08:34:10 +0200

petsc (3.19.6+dfsg1-2.2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:45:22 +0000

petsc (3.19.6+dfsg1-2.2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Mar 2024 09:20:10 +0100

petsc (3.19.6+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.
  * Fix substitution of soname in maintainer scripts.  Closes: #1065217.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 21:40:10 +0000

petsc (3.19.6+dfsg1-2.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:16:48 +0100

petsc (3.19.6+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064332

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:22:10 +0000

petsc (3.19.6+dfsg1-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jan 2024 08:53:48 +0100

petsc (3.19.6+dfsg1-2) unstable; urgency=medium

  * Update debian/patches/soname_extension to also add a define PETSC_LIB_EXT,
    and use it when determining the name of the dynamic library to be loaded
    with -library_preload.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 21 Jan 2024 06:41:21 +0000

petsc (3.19.6+dfsg1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Dec 2023 09:35:58 +0100

petsc (3.19.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches fix_check_error_MR6616.diff and
      pkgdir_not_petscdir_PR6434.diff
  * dh_clean: remove pycache generated in lib/petsc/bin.
    Closes: #1045544.

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Dec 2023 10:05:19 +0100

petsc (3.19.2+dfsg1-1exp2) experimental; urgency=medium

  * debian patch pkgdir_not_petscdir_PR6434.diff applies upstream
    PR6434 to fix SLEPc build.

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Jul 2023 12:57:51 +0200

petsc (3.19.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - new ABI 3.19
  * debian patch fix_check_error_MR6616.diff applies upstream MR6616
    to fix problems with new handling of errors when running tests
  * Use language_data.js from libjs-sphinxdoc with docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Jun 2023 16:17:08 +0200

petsc (3.18.6+dfsg1-1ubuntu3) noble; urgency=medium

  * Rebuild against new libcholmod5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 17:47:49 +0100

petsc (3.18.6+dfsg1-1ubuntu2) noble; urgency=medium

  * Rebuild against new libspqr4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2023 10:49:22 +0200

petsc (3.18.6+dfsg1-1ubuntu1) mantic; urgency=medium

  * debian/patches/gcc-13.patch: fix misdetection of required C++
    library with gcc-13.
  * debian/rules: pass -Wl,-z,defs to the linker to guard against future
    misbuilds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Aug 2023 08:42:11 -0700

petsc (3.18.6+dfsg1-1build1) mantic; urgency=medium

  * No-change rebuild against libamd3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 30 Jul 2023 20:56:16 +0000

petsc (3.18.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Jun 2023 21:55:10 +0200

petsc (3.18.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Mar 2023 15:16:00 +0100

petsc (3.18.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Feb 2023 10:46:17 +0100

petsc (3.18.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Jan 2023 23:52:57 +0100

petsc (3.18.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests: test if SuiteSparse or Trilinos ML was used before
    running the respective runtime tests.
    On some 32-bit systems like armhf, armel, i386, SuiteSparse is
    not used with the 64-bit PETSc build and ML is not available.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Dec 2022 19:49:56 +0100

petsc (3.18.1+dfsg1-2) unstable; urgency=medium

  * drop use of dh_sphinxdoc (dh --with sphinxdoc).
    PETSc docs are not compatible with sphinx 5. Closes: #1013398.

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Dec 2022 22:47:04 +0100

petsc (3.18.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI update to 3.18
  * debian patch ptscotch_without_bison_MR5787.diff applies upstream
    MR5787 to enable configuration without bison (with ptscotch).
    See https://gitlab.com/petsc/petsc/-/issues/1276

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Oct 2022 19:55:35 +0100

petsc (3.17.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * update lintian overrides
    (unversioned shared library links are handled via alternatives)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Oct 2022 00:06:44 +1100

petsc (3.17.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch clean_tests.patch
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Sep 2022 17:19:32 +0200

petsc (3.17.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI upgrade to 3.17

 -- Drew Parsons <dparsons@debian.org>  Sat, 02 Apr 2022 01:09:22 +0200

petsc (3.16.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Apr 2022 23:01:01 +0200

petsc (3.16.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Mar 2022 10:02:50 +0100

petsc (3.16.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI upgrade to 3.16
    - applies debian patches
      petscmpiexec_posix_sh.patch, hypre_owner_PR4237.patch
    - SuiteSparse support now uses libspqr.so
  * pdf manual no longer provided, only html
  * docs reorganized under docs subdir not html
  * debian/rules: at dh_fixperms make example meshes non-executable
  * debian/copyright: update khash.h location

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Nov 2021 01:41:33 +0100

petsc (3.15.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - provides manual.pdf
    - html docs moved to html subdir
  * debian/tests check HYPRE is supported before running HYPRE tests
    (identified by HYPRE_LIB in lib/petsc/conf/petscvariables)

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Oct 2021 01:26:55 +0200

petsc (3.15.4+dfsg1-2) unstable; urgency=medium

  * Build-Depends: libx11-dev, to match the libpetsc3.15-dev-common
    Depends.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Oct 2021 12:56:09 +0200

petsc (3.15.4+dfsg1-1exp7) experimental; urgency=medium

  * more supported package -dev dependencies
    - libpetsc3.15-dev-common Depends: libx11-dev (X_LIB),
      libblas-dev, liblapack-dev (BLASLAPACK_LIB)

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Sep 2021 20:56:45 +0200

petsc (3.15.4+dfsg1-1exp6) experimental; urgency=medium

  * update supported package -dev dependencies
    Needed by clients such as slepc which use ML_LIB, ZOLTAN_LIB,
    HYPRE_LIB from lib/petsc/conf/petscvariables
    - libpetsc-real3.15-{dev,dbg} Depends libtrilinos-ml-dev,
      [amd64 arm64 ppc64el s390x ppc64]
    - libpetsc-*3.15-{dev,dbg} Depends: libtrilinos-zoltan-dev
      [amd64 arm64 ppc64el s390x ppc64]
    - libpetsc64-real3.15-{dev,dbg} Depends: libhypre64m-dev (>= 2.21.0)
      [amd64 arm64 mips64el ppc64el s390x alpha ia64 ppc64 riscv64 sparc64]
  * drop libpetsc3.15-dev-common Depends: bash.
    The problem with bash in slepc builds was due to the location of
    bash, not the availability of bash. It was an artifact of usrmerge
    (https://wiki.debian.org/UsrMerge) combined with the binary upload
    of petsc made to test superlu-dist 7 in experimental.

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Sep 2021 19:20:26 +0200

petsc (3.15.4+dfsg1-1exp5) experimental; urgency=medium

  * libpetsc3.15-dev-common Depends: bash.
    SHELL is configured to bash in */lib/petsc/conf/petscvariables.

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Sep 2021 18:56:53 +0200

petsc (3.15.4+dfsg1-1exp4) experimental; urgency=medium

  * fix test for availability of 64-bit Hypre

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Sep 2021 15:53:07 +0200

petsc (3.15.4+dfsg1-1exp3) experimental; urgency=medium

  * 64-bit Hypre is only available on 64-bit architectures
    [amd64 arm64 mips64el ppc64el s390x
    alpha ia64 ppc64 riscv64 sparc64]

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Sep 2021 14:20:50 +0200

petsc (3.15.4+dfsg1-1exp2) experimental; urgency=medium

  * Build-Depends: libhypre64m-dev to use 64-bit HYPRE (mixed-int)
    with versioned Build-Depends: libhypre-dev (>= 2.21.0) to ensure
    libhypre version matches libhypre64m
  * use `set -e` with dh_auto_configure to catch configuration-time
    errors.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Sep 2021 23:35:00 +0200

petsc (3.15.4+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - update Files-Excluded in debian/copyright: docs no longer
      provided in pdf format in source tarball.
  * use 64-bit HYPRE with the 64-bit (real-number) build
    - building against HYPRE mixedint (libhypre64m).
      This is experimental, might be changed to bigint in the future.
  * don't configure 64-bit builds with SuperLU-Dist support.
    It's not compatible, see upstream Issue #935.
    - drop debian patch superlu-dist-no_test.patch (superlu-dist
      now works fine with support correctly configured)
  * fix configuration tests for libtrilinos-ml-dev and
    libtrilinos-zoltan-dev
  * drop Build-Depends: libtrilinos-aztecoo-dev
    (libtrilinos-ml-dev is now fixed to Depend on it)
  * debian patch hypre_owner_PR4237.patch applies upstream PR#4237 to
    handle changes in hypre API from hypre 2.22.
  * debian patch clean_tests.patch ensures tests are cleaned before
    and after use.
  * use triple slash in file privacy replacements in docs
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Sep 2021 15:46:03 +0200

petsc (3.15.0+dfsg1-1exp5) experimental; urgency=medium

  * build HYPRE support against libHYPRE.so not libHYPRE_core.so
    for hypre versions 2.20.0-1exp3~ and above
  * build support for Trilinos components, ML and ZOLTAN
    (available on amd64 arm64 ppc64el s390x ppc64 only).
    ML is supported in standard (32-bit) real-number builds only.
    Kokkos support requires Kokkos 3.4, not yet available in Debian.
    Closes: #847045, #989323.
    - Build-Depends: libtrilinos-ml-dev, libtrilinos-zoltan-dev
    - Also Build-Depends: libtrilinos-aztecoo-dev (see Bug#989488)
  * remove simplemake in dh_clean override
  * update debian/tests (autopkgtest)
    - test ML (from Trilinos), SuperLU-Dist, SuiteSparse
    - test complex-number builds

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Jun 2021 06:31:55 +0200

petsc (3.15.0+dfsg1-1exp4) experimental; urgency=medium

  * move common dev library dependencies into libpetsc3.15-dev-common
    - add libpetsc3.15-dev-common Depends: libyaml-dev
  * Build against valgrind where available.
    - Build-Depends: valgrind-mpi [amd64 arm64 armhf i386
        mips64el mipsel ppc64el s390x powerpc ppc64]
    - libpetsc[64]-{real,complex}3.15-dev Depends: valgrind-mpi
        [on supported arches]

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 May 2021 23:02:48 +0200

petsc (3.15.0+dfsg1-1exp3) experimental; urgency=medium

  * update debian patch configure_python3.patch to use python3 in
    ts/tutorials/extchem.py
  * build against system libyaml
    Build-Depends: libyaml-dev

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 May 2021 21:07:05 +0200

petsc (3.15.0+dfsg1-1exp2) experimental; urgency=medium

  * rebuild against libraries in unstable
    (to help debug build problems with SLEPc 3.15)

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Apr 2021 13:12:18 +0200

petsc (3.15.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release (new ABI 3.15).
    - applies debian patches,
      PR3681_scalapack_block_size.diff
      PR3686_DMPlex_missing_PetscSFSetUp.diff
      PR3722_umfpack_ordering.diff
      PR3728_DM_anchor_initialize.diff
  * From PETSc 3.15, upstream now provides tarballs petsc-with-docs
    or without docs. Update debian/watch to select petsc-with-docs
    (we want to keep providing the petsc*-doc package).
  * Build-Depends: libmumps-dev (>= 5.2.1~)
  * update debian patch configure_python3.patch to use python3 in
    tasClasses.py and test ex55.py

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Apr 2021 10:37:25 +0200

petsc (3.14.5+dfsg1-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libpetsc-real3.14/libpetsc-complex3.14: Add Breaks against
    lib{petsc,slepc}-{real,complex}3.10 and libpetsc3.10-dev-{common,examples}
    for smoother upgrades from buster. The libraries are not co-installable
    due to the libhdf5-103 -> libhdf5-103-1 and other package renames, the
    -dev-* packages are affected by the removal of unversioned python.
    Closes: #987618.

  [ Drew Parsons ]
  * add lintian overrides to ignore breaks-without-version warning in
    libpetsc-real3.14 and libpetsc-complex3.14 from Breaks: libpetsc*3.10*
    and Breaks libslepc*3.10*. The version is embedded in the package
    names.

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 May 2021 14:26:37 +0200

petsc (3.14.5+dfsg1-3) unstable; urgency=medium

  * petsc3.14-doc Depends: sphinx-common.
    Required since upstream tarball provides pregenerated docs, so
    dh_sphinxdoc does not automatically add sphinx-common.
    Closes: #985659.
  * cherry-pick specific bug fixes from PETSc 3.14.6
    - PR3681_scalapack_block_size.diff, sets block size of transposed
      ScalAPACK matrices
    - PR3686_DMPlex_missing_PetscSFSetUp.diff, adds PetscSFSetUp()
      to DM plexcreate.c
    - PR3722_umfpack_ordering.diff, use default umfpack ordering
      since much faster than PETSc ordering
    - PR3728_DM_anchor_initialize.diff, initialize variable in DM
      anchor calculation

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Apr 2021 13:28:02 +0200

petsc (3.14.5+dfsg1-2) unstable; urgency=medium

  * upload new bugfix release to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Mar 2021 12:21:59 +0100

petsc (3.14.5+dfsg1-1) experimental; urgency=medium

  * New upstream release (bugfixes)

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Mar 2021 18:37:39 +0100

petsc (3.14.4+dfsg1-2) unstable; urgency=medium

  * fix PETSC64_NAME in libpetsc64-complex3.14-dev.prerm to enable a
    clean uninstall of libpetsc64-complex3.14-dev. Closes: #983892.

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Mar 2021 18:27:40 +0100

petsc (3.14.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Feb 2021 16:51:02 +0100

petsc (3.14.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Jan 2021 12:47:42 +1100

petsc (3.14.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Dec 2020 00:39:54 +1100

petsc (3.14.1+dfsg1-2) unstable; urgency=medium

  * provide alternatives links for lowercase petsc.pc pkgconfig files
  * add doctools to the list of js scripts provided in docs which are
    not recognized by dh_sphinxdoc (built by different version of
    sphinx). Closes: #975203.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Nov 2020 01:29:32 +0800

petsc (3.14.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * mark petsc-dev, petsc64-dev as Multi-Arch: foreign
  * link PETSc64.pc to PETSc.pc (and petsc64.pc to petsc.pc) in
    pkgconfig dirs for 64-bit PETSC_DIRs.

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Nov 2020 02:33:30 +0800

petsc (3.14.0+dfsg1-5) unstable; urgency=medium

  * fix includes and dummy modules in debian patch
    petscmatmod_split.patch (follow pattern in KSP split)

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Nov 2020 12:27:02 +0800

petsc (3.14.0+dfsg1-4) unstable; urgency=medium

  * debian patch petscmatmod_split.patch splits petscmatmod to enable
    build on mipsel.
  * mark libpetsc-real-dev, libpetsc-complex-dev, libpetsc64-real-dev
    and libpetsc64-complex-dev as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Oct 2020 21:45:15 +0800

petsc (3.14.0+dfsg1-3) unstable; urgency=medium

  * manipulate configureTAS.py, extract.py only on arch-indep builds

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Oct 2020 18:25:11 +0800

petsc (3.14.0+dfsg1-2) unstable; urgency=medium

  * remove src/vec/vec/tests/x.h5 when cleaning
  * debian/copyright: exclude src/binding/petsc4py from upstream tarball
    (petsc4py source is handled separately via the pypi source tarball)
  * ensure configureTAS.py, extract.py scripts are handled by
    dh_python3 (replacing shebang) by making them executable
  * move external js files to [debian/] html/js

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Oct 2020 11:19:01 +0800

petsc (3.14.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - ABI bump to 3.14
    - docs currently split between old format in docs subdir
      and new sphinx-generated docs in html subdir.
      Use html/index.html as root index.
  * Use dh_sphinxdoc to manage standard .js scripts.
    Manually download auto-render.min.js, katex.min.css and
    katex.min.js from https://cdn.jsdelivr.net/npm/ to avoid privacy
    breaches when reading docs.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Oct 2020 18:21:36 +0800

petsc (3.13.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Oct 2020 11:21:59 +0800

petsc (3.13.5+dfsg1-2) unstable; urgency=medium

  * add hurd-i386, m68k and sh4 to the list of 32-bit arches
    (which do not support 64-bit SuiteSparse)

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Oct 2020 07:57:38 +0800

petsc (3.13.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * remove deprecated tags in source lintian overrides
  * handle fortran-mod-version using dh_fortran_mod

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Sep 2020 02:39:43 +0800

petsc (3.13.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * fix path for PETSC64_DIR_REAL in libpetsc64-real3.13-dev.prerm
  * remove errant lintian overrides

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Aug 2020 13:24:43 +0800

petsc (3.13.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Jul 2020 01:11:00 +0800

petsc (3.13.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Retrospectively place Adam C. Powell, IV in quotes in old
    changelog entries.

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jun 2020 03:31:40 +0800

petsc (3.13.1+dfsg1-4) unstable; urgency=medium

  * add mipsel, hppa to the 32-bit arch list dropping SuiteSparse-64.

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Jun 2020 11:17:09 +0800

petsc (3.13.1+dfsg1-3exp2) experimental; urgency=medium

  * drop SuiteSparse support for 64-bit builds on 32-bit platforms
    (armel armhf i386 powerpc x32).  Suitesparse does not support
    64-bit indexing on these architectures.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jun 2020 10:15:40 +0800

petsc (3.13.1+dfsg1-3exp1) experimental; urgency=medium

  * Provide petsc64 packages with 64-bit builds (64 bit indexing).
    Closes: #953116.
    - cannot use SuperLU with 64 bit integers
    - 64-bit PETSc needs Hypre with --enable-bigint (or
      --enable-mixedint) which is not yet available.
    - Build-Depends: libmumps64-dev

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 19:54:28 +0800

petsc (3.13.1+dfsg1-3) unstable; urgency=medium

  * ignore uninstalled binary files in arch-indep builds
    (used to build docs). Closes: #961879.
  * fix dh overrides for build dir cleaning

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 May 2020 14:16:08 +0800

petsc (3.13.1+dfsg1-2) unstable; urgency=medium

  * update versioned build-dependencies:
    libsuitesparse-dev (>= 1:5.6.0),
    libsuperlu-dev (>= 5.2.1), libsuperlu-dist-dev (>= 6.1.1)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 May 2020 00:21:24 +0800

petsc (3.13.1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * only run tests for arch-any builds. Closes: #960151.
  * apply lintian overrides to let matlab scripts remain executable,
    and test scripts remain not executable.
  * set ts/tutorials/hybrid/run.sh executable in examples package.

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 May 2020 18:54:18 +0800

petsc (3.13.0+dfsg2-1) experimental; urgency=medium

  * New upstream release.
  * update power_grid path in Files-Excluded from debian/copyight
  * build tests (dh_auto_test) run 'make check_build' not 'make test'
  * use pkg-config hdf5-mpi to get configuration for HDF5
    Needs versioned Build-Depends: libhdf5-mpi-dev (>= 1.10.6+repack-1)

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Apr 2020 21:11:23 +0800

petsc (3.12.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0
  * Build-Depends: gdb

 -- Drew Parsons <dparsons@debian.org>  Sat, 08 Feb 2020 11:28:40 +0800

petsc (3.12.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Jan 2020 13:12:24 +0800

petsc (3.12.2+dfsg1-2) unstable; urgency=medium

  * install examples in share/petsc subdir (maintain petsc
    installation tree structure)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Dec 2019 09:34:48 +1100

petsc (3.12.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * libpetsc3.12-dev-examples: place examples and datafiles in
    /usr/share/petsc. Don't place them in the -dev-common package.
    Closes: #945338.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Dec 2019 14:57:47 +1100

petsc (3.12.0+dfsg1-2) experimental; urgency=medium

  * apply Depends: ocl-icd-opencl-dev | opencl-dev from 3.11.4+dfsg1-2

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2019 20:31:04 +0800

petsc (3.12.0+dfsg1-1) experimental; urgency=medium

  * New upstream release (new ABI).
    - applies patches package_version-b7c30771e93.diff
      and support_HYPRE_2.16.0-PR1696.patch
  * drop debian patch hypre.patch (deprecated)

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Oct 2019 02:38:24 +0800

petsc (3.11.4+dfsg1-4) unstable; urgency=medium

  [ Christophe Trophime ]
  * Team upload.
  * Do not use /usr/share/doc content in postinst
    Closes: #945338

 -- Andreas Tille <tille@debian.org>  Thu, 12 Dec 2019 13:33:56 +0100

petsc (3.11.4+dfsg1-3) unstable; urgency=medium

  * set MCA btl_base_warn_component_unused to 0 in tests to
    ignore complaints about missing OpenFabrics transports

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2019 02:52:48 +0900

petsc (3.11.4+dfsg1-2) unstable; urgency=medium

  * add Depends: ocl-icd-opencl-dev | opencl-dev to
    versioned libpetsc*-dev packages, to satisfy -lOpenCL when
    building against PETSc.
  * drop --useThreads=0 configuration option. It is for internal use
    only (mpiexec timeout), see upstream issue #394. It had been added
    in 2.3.2-3 to help hppa builds, but never fixed builds anyway.
    Thanks Martin Diehl for drawing attention to it in Bug#927927.

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Oct 2019 12:31:42 +0800

petsc (3.11.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch HDF5_refactor_6a0bd752.diff
      (upstream commit 51e210a targeted at PETSc 3.11, see PR#1943)
  * build with OpenCL GPU support
    Build-Depends: ocl-icd-opencl-dev | opencl-dev
  * skip build-time tests if nocheck is set in DEB_BUILD_OPTIONS
  * remove deprecated configure option --with-fortran-interfaces
    (was removed in PETSc 3.8). Closes: #927927.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Oct 2019 18:22:51 +0800

petsc (3.11.3+dfsg1-2) unstable; urgency=medium

  * debian patch HDF5_refactor_6a0bd752.diff applies upstream patch
    6a0bd752 to keep HDF5 support from interfering with PETSc clients
    that do not use HDF5. Closes: #933845.

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 19:56:06 +0800

petsc (3.11.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * apply upstream patches:
    - package_version-b7c30771e93.diff introduces package versioning
    - support_HYPRE_2.16.0-PR1696.patch applies PR1696 to support
      HYPRE 2.16.0
  * Standards-Version: 4.4.0
  * debian/tests: check that hypre and mumps tests "run successfully"

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2019 11:17:00 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpetsc-complex3.22`.
